package com.qmth.exam.reserve.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.exam.reserve.bean.stdapply.StudentApplyReq;
import com.qmth.exam.reserve.bean.stdapply.StudentApplyVO;
import com.qmth.exam.reserve.entity.StudentApplyEntity;

public interface StudentApplyDao extends BaseMapper<StudentApplyEntity> {

    IPage<StudentApplyVO> page(Page<StudentApplyVO> page, @Param(value = "req") StudentApplyReq req);

    Integer getHaveApplyCount(@Param(value = "examSiteIds") List<Long> examSiteIds);
}
