package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.exam.reserve.bean.student.StudentInfo;
import com.qmth.exam.reserve.bean.student.WechatBindReq;
import com.qmth.exam.reserve.entity.StudentEntity;

public interface StudentService extends IService<StudentEntity> {

    StudentEntity findByStudentCode(Long orgId, String studentCode);

    StudentEntity findByOpenIdAndUid(String openId, String uid);

    StudentInfo findInfoByStudentId(Long studentId);

    void bindingWechat(WechatBindReq req);

    void unbindWechatByStudentId(Long studentId);

}
