package com.qmth.exam.reserve.bean.apply;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ApplyVO implements IModel {

    private static final long serialVersionUID = 2804383719693396546L;

    @ApiModelProperty(value = "预约ID")
    private Long applyId;

    @ApiModelProperty(value = "预约的开始时间")
    private Long timePeriodStart;

    @ApiModelProperty(value = "预约的结束时间")
    private Long timePeriodEnd;

    @ApiModelProperty(value = "教学点名称")
    private String teachingName;

    @ApiModelProperty(value = "考点名称")
    private String examSiteName;

    @ApiModelProperty(value = "考点地址")
    private String examSiteAddress;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "是否允许取消预约")
    private Boolean allowCancel;

    @ApiModelProperty(value = "是否显示电子准考证标志")
    private Boolean showTicket;

}
