package com.qmth.exam.reserve.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.exam.reserve.controller.BaseController;
import com.qmth.exam.reserve.service.StudentImportTaskService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "考生信息导入相关接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/admin/std")
@Aac(strict = false, auth = false)
public class StudentImportTaskController extends BaseController {

    @Autowired
    private StudentImportTaskService studentImportService;

    @ApiOperation(value = "考生信息导入")
    @PostMapping(value = "/upload")
    public void upload(MultipartFile file) {
        // TODO
    }
}
