package com.qmth.exam.reserve.service;

import com.qmth.exam.reserve.bean.RichTextBean;
import com.qmth.exam.reserve.bean.apply.ApplyTimePeriodResult;
import com.qmth.exam.reserve.bean.apply.ApplyVO;
import com.qmth.exam.reserve.bean.apply.TicketInfo;

import java.util.List;

public interface ExamReserveService {

    void saveStudentApply(Long studentId, Long examSiteId, Long timePeriodId);

    void cancelStudentApply(Long studentId, Long applyId);

    List<ApplyVO> getStudentApplyList(Long studentId, String includeStatus);

    List<ApplyVO> getStudentApplyListForCurrent(Long studentId);

    TicketInfo getApplyTicket(Long studentId, Long applyId);

    List<String> getApplyDateList(Long studentId);

    ApplyTimePeriodResult getApplyTimePeriodList(Long studentId, Long examSiteId, String date);

    RichTextBean getExamNotice(Long studentId, Long applyId);

    RichTextBean getExamRoomGuide(Long studentId, Long applyId);

}
